Bug 1066387 (CVE-2013-4539)

Summary: CVE-2013-4539 qemu: tsc210x: buffer overrun on invalid state load
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: amit.shah, areis, berrange, bsarathy, cfergeau, dwmw2, ehabkost, gleb, itamar, jkurik, knoel, minovotn, mkenneth, mst, mtosatti, pbonzini, pfrields, ppandit, rbalakri, rhod, rjones, scottt.tw, virt-maint, virt-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-22 11:29:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1095753, 1095754, 1095755    
Bug Blocks: 1036654    

Description Petr Matousek 2014-02-18 10:15:13 UTC
s->precision, nextprecision, function and nextfunction come from wire and
are used as idx into resolution[] in TSC_CUT_RESOLUTION.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=5193be3be35f29a35bc465036cd64ad60d43385f

Comment 1 Petr Matousek 2014-02-18 11:34:43 UTC
Statement:

Not vulnerable.

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped
with Red Hat Enterprise Linux 6

Comment 3 Prasad J Pandit 2014-05-08 13:19:07 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095753]

Comment 4 Fedora Update System 2014-05-16 09:59:00 UTC
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.